package org.processmining.uncertaintymarker.connections;

import org.deckfour.xes.model.XLog;
import org.processmining.framework.connections.impl.AbstractConnection;
import org.processmining.models.graphbased.directed.petrinet.Petrinet;
import org.processmining.uncertaintymarker.parameters.Parameters;

public class Connection extends AbstractConnection {

	/**
	 * Label for first input.
	 */
	public final static String FIRSTINPUT = "First Input";
	

	/**
	 * Label for output.
	 */
	public final String OUTPUT1 = "Uncertainty Net";
	public final String OUTPUT2 = "Petri Net";
	public final String OUTPUT3 = "Concise Log";
	public final String OUTPUT4 = "Aligned Log";


	/**
	 * Private copy of parameters.
	 */
	private Parameters parameters;

	/**
	 * Create a connection.
	 * @param input1 First input.
	 * @param output 
	 * @param output2 
	 * @param input2 Second input.
	 * @param output2 Output.
	 * @param output 
	 * @param parameters Parameters.
	 */
	public Connection(XLog input1,Petrinet output1,  Petrinet output2, XLog output3,XLog output4, Parameters parameters) {
		super("Your Connection");
		put(FIRSTINPUT, input1);
		put(OUTPUT1, output1);
		put(OUTPUT2, output2);
		put(OUTPUT3, output3);
		put(OUTPUT4, output4);

		this.parameters = new Parameters(parameters);
	}

	/**
	 * 
	 * @return The parameters stored in the connection.
	 */
	public Parameters getParameters() {
		return parameters;
	}
}
