package org.processmining.uncertaintymarker.help;

/**This class contains utility functions which are used by different classes and do not belong to a specific one.
 * 
 * @author Oliver
 */

public class Utilities {

	/**Returns the input value rounded by n places
	 * 
	 * @param value - the value that needs to be rounded
	 * @param places - the n places the value parameter should be rounded to
	 * */
	public static double round(double value, int places) {
	    if (places < 0) throw new IllegalArgumentException();

	    long factor = (long) Math.pow(10, places);
	    value = value * factor;
	    long tmp = Math.round(value);
	    return (double) tmp / factor;
	}
}
